
Infrastructure - Story #723

Trailing slash in REST collection URLs

2010-07-29 18:38 - Roger Dahl

Status: Closed Start date: 2010-10-11

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2010.48   

Story Points:    

Description

Verify that for collection related calls, ignoring a trailing slash does not introduce any potential bugs. For instance, knb-mn does not

distinguish between

http://knb-mn.ecoinformatics.org/knb/object/

http://knb-mn.ecoinformatics.org/knb/object

Subtasks:

Task # 1075: Add unit tests for trailing slashes in GMN Closed

Task # 990: create unit test for trailing slash cases Closed

History

#1 - 2010-10-06 20:00 - Dave Vieglais

- Milestone set to CCI-0.6

- Tracker changed from Bug to Story

- Start date set to 2010-10-06

#2 - 2010-10-07 18:13 - Matthew Jones

- Position set to 18

#3 - 2010-10-07 18:48 - Dave Vieglais

- Target version set to Sprint-2010.41

- Position set to 2

- Position deleted (23)

#4 - 2010-10-11 16:47 - Matthew Jones

- Position deleted (14)

- Position set to 5

#5 - 2010-10-22 16:30 - Chad Berkley

- Target version deleted (Sprint-2010.41)

- Position set to 1

- Position deleted (4)

#6 - 2010-11-07 15:01 - Dave Vieglais

- Target version set to Sprint-2010.45

#7 - 2010-11-12 17:52 - Dave Vieglais

- Position deleted (39)

- Target version changed from Sprint-2010.45 to Sprint-2010.46
- Position set to 17

#8 - 2010-11-19 17:34 - Chad Berkley

- Status changed from New to In Progress

#9 - 2010-11-19 17:47 - Dave Vieglais

- Position set to 7

- Position deleted (31)

- Target version changed from Sprint-2010.46 to Sprint-2010.47

#10 - 2010-11-30 17:56 - Roger Dahl

- Position set to 1

- Position deleted (26)

- Target version changed from Sprint-2010.47 to Sprint-2010.48

#11 - 2010-12-02 05:05 - Roger Dahl

- Status changed from In Progress to Closed
